Update
curl --request PATCH \
--url https://api.qa.sima.ag/api/v3/third_party/application_order_labour_types/{labour_type_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: */*' \
--header 'X-SIMA-SYSTEM-ID: <api-key>' \
--data '
"\"{\\n \\\"name\\\": \\\"Resiembra Test Updated\\\",\\n \\\"wo_labour_type_category_id\\\": 8\\n}\""
'import requests
url = "https://api.qa.sima.ag/api/v3/third_party/application_order_labour_types/{labour_type_id}"
payload = "\"{\n \\"name\\": \\"Resiembra Test Updated\\",\n \\"wo_labour_type_category_id\\": 8\n}\""
headers = {
"Authorization": "Bearer <token>",
"X-SIMA-SYSTEM-ID": "<api-key>",
"Content-Type": "*/*"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'X-SIMA-SYSTEM-ID': '<api-key>',
'Content-Type': '*/*'
},
body: JSON.stringify('"{\n \"name\": \"Resiembra Test Updated\",\n \"wo_labour_type_category_id\": 8\n}"')
};
fetch('https://api.qa.sima.ag/api/v3/third_party/application_order_labour_types/{labour_type_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qa.sima.ag/api/v3/third_party/application_order_labour_types/{labour_type_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode('"{\\n \\"name\\": \\"Resiembra Test Updated\\",\\n \\"wo_labour_type_category_id\\": 8\\n}"'),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: */*",
"X-SIMA-SYSTEM-ID: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}Version 3 > Application Order Labour Types
Update
PATCH
/
api
/
v3
/
third_party
/
application_order_labour_types
/
{labour_type_id}
Update
Authorizations
access_token obtenido via POST /api/v2/login
Identificador del sistema integrador (8 para Third-Party API)
Path Parameters
Body
*/*
The body is of type string.
Example:
"\"{\\n \\\"name\\\": \\\"Resiembra Test Updated\\\",\\n \\\"wo_labour_type_category_id\\\": 8\\n}\""
Response
200 - application/json
Successful response

